#!/bin/bash

##########################################################################################

#   Use chkconfig to enable/disable various daemons/services on the XLS:

CHKCONFIG=/sbin/chkconfig

${CHKCONFIG} --levels 0123456 lpd     off
${CHKCONFIG} --levels 0123456 ntpd    off
${CHKCONFIG} --levels 0123456 netfs   off
${CHKCONFIG} --levels 0123456 nfslock off
${CHKCONFIG} --levels 0123456 portmap off
${CHKCONFIG} --levels   2345  sshd    on

${CHKCONFIG} --list



##########################################################################################

#   Now we should restart anything that might have changed (or stop things that need to be stopped)

SERVICE=/sbin/service

${SERVICE} xinetd  reload
${SERVICE} sshd    restart 
${SERVICE} httpd   restart
${SERVICE} lpd     stop
${SERVICE} ntpd    stop
${SERVICE} netfs   stop
${SERVICE} nfslock stop
${SERVICE} portmap stop

# note: need a restart, not just reload, for httpd for SSL settings to work

# We also need to restart tomcat here...

su - xls -c "/xls/bin/xlsinit -verbose 5 -restart luip"
